%global version 0.9.0
%global momorel 7

%global honoka_version   0.9.1-5m

Name:       honoka-plugin-anthy
Summary:    An Anthy input plugin for honoka
Version:    %{version}
Release: %{momorel}m%{?dist}
Group:      Applications/System
License:    GPL
URL:        http://sourceforge.jp/projects/scim-imengine/
Source0: http://nop.net-p.org/files/honoka/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      anthy
Requires:      honoka-plugin-ascii     >= 0.9.1-3m
Requires:      honoka-plugin-kanainput >= 0.9.1-3m
Requires:      honoka-plugin-romkan    >= 0.9.0-3m
Requires:      honoka-plugin-simpleprediction >= 0.9.0-3m
BuildRequires: honoka-devel >= %{honoka_version}
BuildRequires: anthy-devel
BuildRequires: automake
BuildRequires: libtool-ltdl-devel

%description
An Anthy input plugin for honoka.

%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
[[ -f configure ]] || ./bootstrap

%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# remove devel files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/honoka/*.{a,la}

%find_lang honoka-plugin-anthy

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f honoka-plugin-anthy.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/1.4.0/honoka/*.so

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.0-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-5m)
- %%NoSource -> NoSource

* Mon Oct 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.0-4m)
- update honoka_version

* Wed Oct 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.0-3m)
- modify %%files (for scim-1.4.5)

* Mon Jul  3 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-2m)
- global "honoka_version   0.9.0"

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- initial commit Momonga Linux

